<template>
    <form class="container" v-on:submit.prevent="submit()">
        <div class="col-12">
            <div class="col-12">
                <div class="form-group">
                    <label>Titre
                        <span>*</span>
                    </label>
                    <input class="form-control" type="text" name="title" v-model="userStory.title" required>
                </div>
            </div>
            <div class="col-12">
                <div class="form-group">
                    <label>Commentaire</label>
                    <textarea class="form-control" type="text" name="comment" v-model="userStory.comment"></textarea>
                </div>
            </div>
    
            <div class="col-12">
                <div class="form-group">
                    <button class="btn btn-primary" type="submit"> Sauvegarder </button>
                    <button class="btn btn-secondary" type="button" v-on:click="back()"> Retour </button>
                    <button class="btn btn-danger" type="button" v-on:click="remove()"> Supprimer </button>
                </div>
            </div>
        </div>
    </form>
</template>

<script>

import DatePicker from 'vuejs-datepicker';

export default {
    props: ['userStory'],
    methods: {
        submit: function () {
            this.$emit("submit");
        },
        back: function () {
            this.$emit("back");
        },
        remove: function () {
            this.$emit("remove");
        }
    },
    components: {
        DatePicker
    }
}
</script>

<style scoped>
span {
    color: red;
}

.wider {
    width: 30px;
    height: 30px;
}
</style>
